"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eachValue = exports.mustBeParsable = exports.mustSatisfy = void 0;
const extra_typings_1 = require("@commander-js/extra-typings");
function mustSatisfy(typeAssertion, makeErrorMessage) {
    return (input) => {
        if (!typeAssertion(input))
            throw new extra_typings_1.InvalidArgumentError(makeErrorMessage(input));
        return input;
    };
}
exports.mustSatisfy = mustSatisfy;
function mustBeParsable(parse, makeErrorMessage) {
    return (input) => {
        try {
            return parse(input);
        }
        catch (error) {
            throw new extra_typings_1.InvalidArgumentError(makeErrorMessage(input, error));
        }
    };
}
exports.mustBeParsable = mustBeParsable;
function eachValue(parser) {
    return (input, previous) => {
        const parsed = parser(input);
        if (previous === undefined)
            return [parsed];
        else
            return [...previous, parsed];
    };
}
exports.eachValue = eachValue;
//# sourceMappingURL=cli-parsing.js.map