"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addToCache = exports.tryGetFromCache = exports.emptyPackumentCache = void 0;
/**
 * An empty packument cache.
 */
exports.emptyPackumentCache = {};
/**
 * Attempts to get a cached packument from a cache.
 * @param cache The cache.
 * @param source The source from which to resolve the packument.
 * @param packageName The name of the packument.
 */
function tryGetFromCache(cache, source, packageName) {
    return cache[source]?.[packageName] ?? null;
}
exports.tryGetFromCache = tryGetFromCache;
/**
 * Caches a packument.
 * @param cache The current state of the cache.
 * @param source The packument source.
 * @param packument The packument.
 * @returns The new state of the cache.
 */
function addToCache(cache, source, packument) {
    const registry = cache[source] ?? {};
    return { ...cache, [source]: { ...registry, [packument.name]: packument } };
}
exports.addToCache = addToCache;
//# sourceMappingURL=packument-cache.js.map