"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeGetAllPackumentsService = void 0;
const ts_results_es_1 = require("ts-results-es");
const npm_registry_fetch_1 = __importDefault(require("npm-registry-fetch"));
const error_type_guards_1 = require("../utils/error-type-guards");
const search_registry_1 = require("./search-registry");
/**
 * Makes a {@link GetAllPackumentsService} service.
 */
function makeGetAllPackumentsService() {
    return (registry) => {
        return new ts_results_es_1.AsyncResult(npm_registry_fetch_1.default
            .json("/-/all", (0, search_registry_1.getNpmFetchOptions)(registry))
            .then((result) => (0, ts_results_es_1.Ok)(result))
            .catch((error) => {
            (0, error_type_guards_1.assertIsHttpError)(error);
            return (0, ts_results_es_1.Err)(error);
        }));
    };
}
exports.makeGetAllPackumentsService = makeGetAllPackumentsService;
//# sourceMappingURL=get-all-packuments.js.map