"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeAuthNpmrcService = void 0;
const npmrc_io_1 = require("../io/npmrc-io");
const npmrc_1 = require("../domain/npmrc");
function makeAuthNpmrcService() {
    return (registry, token) => {
        // read config
        return (0, npmrc_io_1.tryGetNpmrcPath)()
            .toAsyncResult()
            .andThen((configPath) => (0, npmrc_io_1.tryLoadNpmrc)(configPath)
            .map((maybeNpmrc) => maybeNpmrc ?? npmrc_1.emptyNpmrc)
            .map((npmrc) => (0, npmrc_1.setToken)(npmrc, registry, token))
            .andThen((npmrc) => (0, npmrc_io_1.trySaveNpmrc)(configPath, npmrc))
            .map(() => configPath));
    };
}
exports.makeAuthNpmrcService = makeAuthNpmrcService;
//# sourceMappingURL=npmrc-auth.js.map