"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeRecordKey = exports.recordKeys = exports.recordEntries = void 0;
/**
 * Same as {@link Object.entries} but preserves key type.
 * @param record The record to get entries for.
 */
function recordEntries(record) {
    return Object.entries(record);
}
exports.recordEntries = recordEntries;
/**
 * Same as {@link Object.keys} but preserves key type.
 * @param record The record to get keys for.
 */
function recordKeys(record) {
    return Object.keys(record);
}
exports.recordKeys = recordKeys;
/**
 * Removes the property with a specific key from a record.
 * @param record The record.
 * @param key The key.
 * @returns A new record without the key.
 */
function removeRecordKey(record, key) {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const { [key]: _, ...withOutKey } = record;
    return withOutKey;
}
exports.removeRecordKey = removeRecordKey;
//# sourceMappingURL=record-utils.js.map